CREATE TABLE CRST_GL_BC_PACKETS
(
  PACKET_ID                     NUMBER(15),
  SET_OF_BOOKS_ID               NUMBER(15),
  JE_SOURCE_NAME                VARCHAR2(25),
  JE_CATEGORY_NAME              VARCHAR2(25),
  CODE_COMBINATION_ID           NUMBER(15),
  ACTUAL_FLAG                   VARCHAR2(1),
  PERIOD_NAME                   VARCHAR2(15),
  PERIOD_YEAR                   NUMBER(15),
  PERIOD_NUM                    NUMBER(15),
  QUARTER_NUM                   NUMBER(15),
  CURRENCY_CODE                 VARCHAR2(15),
  STATUS_CODE                   VARCHAR2(1),
  LAST_UPDATE_DATE              DATE,
  LAST_UPDATED_BY               NUMBER(15),
  BUDGET_VERSION_ID             NUMBER(15),
  ENCUMBRANCE_TYPE_ID           NUMBER(15),
  TEMPLATE_ID                   NUMBER(15),
  ENTERED_DR                    NUMBER,
  ENTERED_CR                    NUMBER,
  ACCOUNTED_DR                  NUMBER,
  ACCOUNTED_CR                  NUMBER,
  USSGL_TRANSACTION_CODE        VARCHAR2(30),
  ORIGINATING_ROWID             ROWID,
  ACCOUNT_SEGMENT_VALUE         VARCHAR2(25),
  AUTOMATIC_ENCUMBRANCE_FLAG    VARCHAR2(1),
  FUNDING_BUDGET_VERSION_ID     NUMBER(15),
  FUNDS_CHECK_LEVEL_CODE        VARCHAR2(1),
  AMOUNT_TYPE                   VARCHAR2(4),
  BOUNDARY_CODE                 VARCHAR2(1),
  TOLERANCE_PERCENTAGE          NUMBER,
  TOLERANCE_AMOUNT              NUMBER,
  OVERRIDE_AMOUNT               NUMBER,
  DR_CR_CODE                    VARCHAR2(1),
  ACCOUNT_TYPE                  VARCHAR2(1),
  ACCOUNT_CATEGORY_CODE         VARCHAR2(1),
  EFFECT_ON_FUNDS_CODE          VARCHAR2(1),
  RESULT_CODE                   VARCHAR2(3),
  BUDGET_POSTED_BALANCE         NUMBER,
  ACTUAL_POSTED_BALANCE         NUMBER,
  ENCUMBRANCE_POSTED_BALANCE    NUMBER,
  BUDGET_APPROVED_BALANCE       NUMBER,
  ACTUAL_APPROVED_BALANCE       NUMBER,
  ENCUMBRANCE_APPROVED_BALANCE  NUMBER,
  BUDGET_PENDING_BALANCE        NUMBER,
  ACTUAL_PENDING_BALANCE        NUMBER,
  ENCUMBRANCE_PENDING_BALANCE   NUMBER,
  REFERENCE1                    VARCHAR2(100),
  REFERENCE2                    VARCHAR2(100),
  REFERENCE3                    VARCHAR2(100),
  REFERENCE4                    VARCHAR2(100),
  REFERENCE5                    VARCHAR2(100),
  JE_BATCH_NAME                 VARCHAR2(100),
  JE_BATCH_ID                   NUMBER(15),
  JE_HEADER_ID                  NUMBER(15),
  JE_LINE_NUM                   NUMBER(15),
  JE_LINE_DESCRIPTION           VARCHAR2(240),
  REFERENCE6                    VARCHAR2(100),
  REFERENCE7                    VARCHAR2(100),
  REFERENCE8                    VARCHAR2(100),
  REFERENCE9                    VARCHAR2(100),
  REFERENCE10                   VARCHAR2(100),
  REFERENCE11                   VARCHAR2(100),
  REFERENCE12                   VARCHAR2(100),
  REFERENCE13                   VARCHAR2(100),
  REFERENCE14                   VARCHAR2(100),
  REFERENCE15                   VARCHAR2(100),
  DUMMY					  		CHAR(1),
  SOB_SHORT_NAME		  		VARCHAR2(100),
  CODE_COMB_ID_D		  		VARCHAR2(100),
  LAST_UPDATED_NAME       		VARCHAR2(100),
  ENCUM_TYPE_NAME		  		VARCHAR2(100),
  FUND_BUDGET_NAME				VARCHAR2(100)
);
